MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000889VCMIMechanics - Objectspublic2012-03-01 14:312015-11-24 10:19
ReporterZamolxis 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.87 
Target VersionFixed in Version0.98f 
Summary0000889: Angel Wings don't work anymore
DescriptionHero with Angel Wings cannot fly anymore. Can be reproduced with Astral in the attached saved game. File is from 0.87b, but the bug was introduced in 0.87 (in 0.86 the artifact still worked).
TagsNo tags attached.
Attached Files7z file icon 87b_AngelWings.7z [^] (73,694 bytes) 2012-03-01 14:31

- Relationships
related to 0000627resolvedSXX Fly bug 
related to 0000476resolvedSXX Fly does not ignore all obstacles when there's a reasonably alternative available on land (+ other issues with the Fly spell) 
has duplicate 0001780resolvedSXX Angel Wings artifact not working 
related to 0002191resolvedSXX Boots of Levitation don't work anymore 

-  Notes
(0002262)
Warmonger (administrator)
2012-03-01 14:37

As far as I know, Fly has been disabled at some point due to related issues.
(0002263)
Zamolxis (viewer)
2012-03-01 14:47
edited on: 2012-03-01 15:13

Possibly. Anyway, as long as the official spreadsheet marks both the artifact and related spell as implemented, then from a tester's perspective this is a bug (a minor one though, so it can definitely wait for a future release).

(0002267)
Tow (developer)
2012-03-01 23:30

I removed it when I was improving pathfinder. The "flying" handling code was only making pathfinder more messy and needed a total rewrite anyway. Spending time to keep broken code would be wasteful.
(0003421)
Zamolxis (viewer)
2013-03-01 22:56

Shall we maybe add a note to the Item Implementation List that Fly spell & Angel Wings are disabled?
(0003423)
Ivan (developer)
2013-03-01 23:27

Wow. You've managed to make note exactly 1 year after previous change :)

On topic - that list was extremely useful during development of 0.7-0.8 series but now I'm not sure - most of missing features are not objects like what we have in list but rather pieces of missing mechanics which sometimes need complex description (like 0001166).

Perhaps more efficient way will be using bug tracker for them - add "missing feature" tag (as opposed to feature requests) or to keep some "master report" and make all bugs like this as its children.
(0003425)
Zamolxis (viewer)
2013-03-02 00:12

A year indeed. That explains why I almost forgot about it... and went to "the list". But it also rang a bell so I came here. But newer testers may get confused.

Though you're the coder(s), so maybe see with Tow & co what's most practical from your perspective.

As a tester I found the list very practical, but it would remain practical if a note is made for what is implemented, but for some reason disabled or "in the works".
(0003426)
Ivan (developer)
2013-03-02 09:11

I just don't see that list will be easy to use for both players and devs now when more than 90% of objects are implemented.

Plus we have some objects that are partially implemented (like anti-magic garrison).

Keeping all of this in bugtracker with appropriate descriptions is better idea IMO.

And for players we can provide bug filter that will display only missing features.
(0006101)
SXX (administrator)
2015-11-24 10:19

Fly implemented:
https://github.com/vcmi/vcmi/commit/a85106289181b87af2be857d0d89d5a09dda1934 [^]

- Issue History
Date Modified Username Field Change
2012-03-01 14:31 Zamolxis New Issue
2012-03-01 14:31 Zamolxis Status new => assigned
2012-03-01 14:31 Zamolxis Assigned To => Warmonger
2012-03-01 14:31 Zamolxis File Added: 87b_AngelWings.7z
2012-03-01 14:36 Warmonger Relationship added related to 0000627
2012-03-01 14:36 Warmonger Relationship added related to 0000476
2012-03-01 14:37 Warmonger Note Added: 0002262
2012-03-01 14:37 Warmonger Assigned To Warmonger =>
2012-03-01 14:38 Warmonger Status assigned => new
2012-03-01 14:47 Zamolxis Note Added: 0002263
2012-03-01 15:13 Zamolxis Note Edited: 0002263 View Revisions
2012-03-01 23:30 Tow Note Added: 0002267
2012-03-01 23:30 Tow Status new => confirmed
2013-03-01 22:56 Zamolxis Note Added: 0003421
2013-03-01 23:27 Ivan Note Added: 0003423
2013-03-02 00:12 Zamolxis Note Added: 0003425
2013-03-02 09:11 Ivan Note Added: 0003426
2014-05-03 13:30 Warmonger Relationship added has duplicate 0001780
2015-03-11 22:57 SXX Assigned To => SXX
2015-03-11 22:57 SXX Status confirmed => assigned
2015-06-21 21:20 AVS Relationship added related to 0002191
2015-06-21 21:20 AVS Relationship deleted related to 0002191
2015-06-21 21:21 AVS Relationship added related to 0002191
2015-11-24 10:19 SXX Note Added: 0006101
2015-11-24 10:19 SXX Status assigned => resolved
2015-11-24 10:19 SXX Fixed in Version => 0.98f
2015-11-24 10:19 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean